html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}
.logo-sm img{
  height: 56px!important;
}
.logo-lg img{
  height: 42px!important;
}
.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.hide {
    display: none;
}
.form-label {
    word-break: keep-all;
    margin-top: 10px;
    margin-right: 10px;
    min-width: 80px;
}
.req {
    word-break: keep-all;
    display: inline-flex;
    margin-top: 10px;
    margin-right: 10px;
}
.req:after {
    color: #ff0000;
    content: '*';
    padding: 0px 4px;
}
.field-validation-error {
    display: block;
}

.autoComplete_wrapper {
    width: 100%;
}

    .autoComplete_wrapper > input {
        color: var(--highdmin-blue) !important;
        border: 1px solid var(--highdmin-blue) !important;
        width: 100%;
        margin-top: .5rem;
    }

    .autoComplete_wrapper mark {
        padding: 0px;
    }

.bootstrap-tagsinput {
    display: block;
    width: 100%;
    min-height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.5;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .375rem;
}

    .bootstrap-tagsinput .tag {
        display: flex;
        margin-bottom: 5px;
        background: #0d6efd;
        color: #fff;
        padding: .25rem .5rem;
        border-radius: .5rem;
    }

        /* 顯示可移除的 × 按鈕 */
        .bootstrap-tagsinput .tag [data-role="remove"] {
            margin-left: .25rem;
            cursor: pointer;
        }

            .bootstrap-tagsinput .tag [data-role="remove"]:after {
                content: 'X';
                padding-left: .5rem;
                font-weight: 700;
                line-height: 1;
            }

            .bootstrap-tagsinput .tag [data-role="remove"]:hover {
                opacity: .65;
            }

    .bootstrap-tagsinput input {
        border: 1px solid var(--highdmin-blue) !important;
        border-radius: 10px;
        padding: 0 2rem 0 3.2rem;
        margin-top: .5rem;
        color: var(--highdmin-blue) !important;
        background-image: url(/lib/autocomplete.js/dist/css/images/search.svg);
        background-repeat: no-repeat;
        background-size: 1.4rem;
        background-position: left 1.05rem top 0.8rem;
        background-origin: border-box;
        height: 3rem;
    }

        .bootstrap-tagsinput input:focus {
            outline: 1px solid var(--highdmin-blue);
            border-radius: 10px;
        }


.side-nav-link.active {
    background-color: rgba(var(--highdmin-blue), 0.15);
    color: var(--highdmin-blue)!important;
}

    .side-nav-link.active .menu-text {
        font-weight: 600;
    }

.widget-icon {
    font-size: 2.5rem;
    opacity: 0.7;
}
.badge-enabled {
    background-color: #28a745;
}

.badge-disabled {
    background-color: #dc3545;
}
button {
    word-break: keep-all;
}

.modal-header {
    background: linear-gradient(135deg, #04b6c3 0%, #6c72c8 100%);
    color: white;
}

    .modal-header .btn-close {
        filter: brightness(0) invert(1);
    }
